import React, { useState, useEffect } from 'react'
import { Card, Col, Menu, Row, Tabs } from 'antd';
// import './index.less'
import Ad from './ad';
import Creative from './creative';
import { useModel } from '@/.umi/plugin-model/useModel';
import LandingPage from './landingPage';
import { useAjax } from '@/Hook/useAjax';
const { TabPane } = Tabs;
let Menus: any = Menu
const tabsConfig = [
    { key: '1', tab: '账户信息', jsx: () => null },
    { key: '2', tab: '计划', jsx: () => null },
    { key: '3', tab: '广告', jsx: (props: any) => <Ad {...props} /> },
    { key: '4', tab: '创意', jsx: (props: any) => <Creative {...props} /> },
    { key: '5', tab: '落地页', jsx: (props: any) => <LandingPage {...props} /> },
    { key: '6', tab: '定向', jsx: (props: any) => <LandingPage {...props} /> },
]
function Adq() {
    const [activeKey, setActiveKey] = useState('4')
    const { getAdAccount } = useModel('useLaunchAdq.useAdAuthorize')
    const [menuKey, setmenuKey] = useState(['1'])
    const [childrenObj, setChildrenObj] = useState<any>({})
    const [accountId, setaccountId] = useState<any>(getAdAccount?.data?.data[0].accountId)
    useEffect(() => {
    }, [])
    useEffect(() => {
        // 获取账号列表
        let name = menuKey[0]
        console.log(name)
        if (name && !childrenObj[name]) {
            getAdAccount.run().then(res => {
                if (res.data) {
                    setChildrenObj({
                        ...childrenObj,
                        [name]: res.data?.map((item: { accountId: any; }) => {
                            return { key: item.accountId, label: item.accountId + '_' + menuKey[0], }
                        })
                    })
                }
                setaccountId(res.data[0].accountId)
            })
        }
    }, [menuKey, childrenObj])
    // const children = useMemo(()=>{
    //     return getAdAccount?.data?.data?.map((item: { accountId: any; })=>{
    //         return {key:item.accountId,label:item.accountId+'_'+menuKey[0],}
    //     })

    // },[menuKey])
    console.log(accountId)
    return <Row >
        <Col span={3} style={{ height: 'calc(100vh - 150px)' }}>
            <Menus
                theme='light'
                onClick={(e: any) => {
                    setaccountId(e.key)
                }}
                onOpenChange={(openKeys: any) => {
                    setmenuKey(openKeys?.length > 1 ? openKeys.filter((k: any, i: any) => i === 1) : openKeys)
                }}

                // style={{ width: 256 }}
                // selectedKeys={}
                mode="inline"
                multiple={false}
                openKeys={menuKey}
                items={[
                    {
                        key: 1,
                        label: '沈武',
                        children: childrenObj[1] || []
                    },
                ]}
            />
        </Col>
        <Col span={21}>
            <Card >
                <Tabs activeKey={activeKey} type="card" onChange={(activeKey) => { setActiveKey(activeKey) }} >
                    {
                        tabsConfig?.map(item => {
                            return <TabPane tab={item.tab} key={item.key} >
                                {item.jsx({ accountId })}
                            </TabPane>
                        })
                    }
                </Tabs>
            </Card>
        </Col>
    </Row>

}
export default Adq